#include<fstream>
#include<algorithm>
using namespace std;
int bin(int f[],int m,int n,int a)
{
	int i;
	int key=(n+m)/2;
	if(a==f[key]) return key+1;
	if(m>n) return -1;
	else 
	{
		if(a>f[key]) bin(f,key,n-1,a);
		else bin(f,m,key,a);	
	} 
}
int main()
{
	ifstream f1("TKNP.INP");
	ofstream f2("TKNP.OUT");
	int n;
	int a;
	int i;
	f1>>n>>a;
	int f[n];
	for(i=0;i<n;i++)
	{
		f1>>f[i];
	}
	f1.close();
	f2<<bin(f,1,n,a);
	f2.close();
	return 0;
}
